Retrieve the page feed

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/feed

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • deep boolean

    return all of the subform records as well

  • javascript_state boolean

    will exclude javascript state if set to 0

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • id number Required
    • parent_record_id number
    • parent_page_id number
    • parent_element_id number
    • created_date string
    • created_by string
    • created_location string
    • created_device_id string
    • modified_date string
    • modified_by string
    • modified_location string
    • modified_device_id string
    • server_modified_date string
    • javascript_state string
GET /profiles/{profile_id}/pages/{page_id}/feed
curl \
 --request GET 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/feed' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
[
  {
    "id": 3,
    "parent_record_id": 0,
    "parent_page_id": 0,
    "parent_element_id": 0,
    "created_date": "2018-04-18T17:23:57+00:00",
    "created_by": "tony",
    "created_location": "Server",
    "created_device_id": "Server",
    "modified_date": "2018-04-18T17:23:57+00:00",
    "modified_by": "tony",
    "modified_location": "Server",
    "modified_device_id": "Server",
    "server_modified_date": "2018-04-18T17:23:57+00:00",
    "javascript_state": "{}",
    "my_element_2": null,
    "my_element_1": [
      {
        "id": 3,
        "parent_record_id": 3,
        "parent_page_id": 290804421,
        "parent_element_id": 121091346,
        "created_date": "2018-04-18T17:30:08+00:00",
        "created_by": "tonyplug",
        "created_location": "API",
        "created_device_id": "API",
        "modified_date": "2018-04-18T17:33:31+00:00",
        "modified_by": "onlychild",
        "modified_location": "39.744230:-76.609999:246.626373:65.000000:10.000000:-1.000000:-1.000000:1524072811.204094",
        "modified_device_id": "7054e0d8d6901e8ef10611ea2e25a31319cc4174",
        "server_modified_date": "2018-04-18T17:33:33+00:00",
        "javascript_state": "{}",
        "my_element_1": "2015-05-12T14:38:19+00:00",
        "my_element_2": "Tony Ruth",
        "my_element_3": "Green",
        "my_element_4": "Turtle"
      }
    ]
  }
]